import { accessCreate, Oss } from '@aplus-frontend/oss';
import { Ref } from 'vue';
import { Translator } from '../../../config-provider';
type GetOssAccess = () => Promise<accessCreate>;
export declare function injectLocaleToOss(tValue: Translator, langValue: Ref<string>): void;
export declare function getOssInstance(getOssAccess?: GetOssAccess, bucket?: string): Promise<Oss>;
export declare function getSignatureUrl({ oss, fileName }: {
    oss: Oss;
    fileName: string;
}): Promise<string | undefined>;
export {};
